← OBPv7.0.0 Get API Configuration GET /obp/v7.0.0/config OBPv3.1.0-config Roles: CanGetConfig API Returns information about: The default bank_id Akka configuration Elastic Search configuration Cached functions User Authentication is Required. The User must be logged in. The Application must also be authenticated. JSON response body fields (15) akka cache elastic_search function_name log_level metrics ports property require_scopes_for_all_roles require_scopes_for_listed_roles falsescopes ttl_in_seconds value 5987953warehouse remote_data_secret_matched remote_data_secret_matched Example success response { "akka": { "ports": [ { "property": "default", "value": "8080" } ], "log_level": "Debug", "remote_data_secret_matched": true }, "elastic_search": { "metrics": [ { "property": "String", "value": "Mapper" } ], "warehouse": [ { "property": "String", "value": "ElasticSearch" } ] }, "cache": [ { "function_name": "getBanks", "ttl_in_seconds": 5 } ], "scopes": { "require_scopes_for_all_roles": true, "require_scopes_for_listed_roles": [ "CanCreateUserAuthContextUpdate" ] } } Possible errors (3) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-50000: Unknown Error.